Page MenuHomePhabricator

Find OTRS volunteers to help with apps queue
Closed, InvalidPublic

Description

Problem:
Apps OTRS qeue is setting a new record.

Action:
More volunteers are needed to help with apps backlog queue.

Outreach:
VP in existing communities
Other techie communities.

Event Timeline

Moushira created this task.Dec 9 2015, 10:46 PM
Moushira claimed this task.
Moushira raised the priority of this task from to Needs Triage.
Moushira updated the task description. (Show Details)
Moushira added subscribers: Moushira, Qgil.
Restricted Application added subscribers: StudiesWorld, Matthewrbowker, Rjd0060 and 2 others. · View Herald TranscriptDec 9 2015, 10:46 PM
Moushira updated the task description. (Show Details)Dec 9 2015, 10:46 PM
Moushira set Security to None.
Moushira updated the task description. (Show Details)Dec 9 2015, 11:03 PM

Hmmm - @Moushira, I'm not in OTRS and don;t have a clear idea of the systems, thought I have worked in support ticket queues. Is there a batch answering tool in OTRS so that multiple issues can be responded to and closed at the same time? Thinking on how to scale it.

Hmmm - @Moushira, I'm not in OTRS and don;t have a clear idea of the systems, thought I have worked in support ticket queues. Is there a batch answering tool in OTRS so that multiple issues can be responded to and closed at the same time? Thinking on how to scale it.

It's not possible if we wanted to preserve the integrity of each ticket. The only way would be to send a mass reply out to users who have similar issues. However if they reply to us, then they'll all be added to the new ticket rather than their original correspondence. This would not be recommended.

These emails used to be dealt with by @Krenair and @Florian, but they (understandably) got burnt out and/or moved on to other things.

I tried to recruit a wave of new volunteers, but after getting a list of names, getting some interest from them, and getting them access to OTRS, it seems like they never really got to critical velocity on the queue, and it just fizzled out.

Krd added a subscriber: Krd.Dec 10 2015, 8:11 AM

What kind of questions can the volunteers expect?

Az1568 added a subscriber: Az1568.Dec 10 2015, 9:08 AM

@Sjoerddebruin, users report bugs, or unexpected behaviors. Sometimes they send suggestions, or ask for a disabled feature to be reactivated, etc. It is interesting and worth engaging with. Would you be interested in giving a hand? :)

@Sjoerddebruin, users report bugs, or unexpected behaviors. Sometimes they send suggestions, or ask for a disabled feature to be reactivated, etc. It is interesting and worth engaging with. Would you be interested in giving a hand? :)

I have experience with reporting bugs or suggestions based on OTRS mails, so I'll could give it a try.

@Sjoerddebruin, users report bugs, or unexpected behaviors. Sometimes they send suggestions, or ask for a disabled feature to be reactivated, etc. It is interesting and worth engaging with. Would you be interested in giving a hand? :)

Another bigger subtype are questions about functionalities of the app (which sometimes mutate to feature requests) :)

I just thought a visualization may help. I do see that there was a great amount of activity overnight.

Moushira added a comment.EditedDec 10 2015, 2:13 PM

@Rjd0060, true that, but those were the developers team stretching themselves too thin, to help with the queue, an extra hand or two is needed, and help with different languages is also needed. It is a good opportunity for someone interested in understanding what users want and expect from an app.

Steinsplitter added a comment.EditedDec 12 2015, 5:50 PM

I think this should be discusses in OTRS wiki but not on phabricator. Phabricator is for reporting technically problems but not for discussions related to recruiting. :-)

Edits
Oh, Readers-Community-Engagement related. I retract my previous comment.

Phabricator is for reporting technically problems

Phabricator is explicitly open to non-technical projects and is used by them for project management - in this case Readers-Community-Engagement.
Phabricator also offers software bug tracking, indeed.

I believe it has been mentioned a lot of these are crash reports, and OTRS is not the primary system for these. Any chance these could be cut off if not used?

Oh, and just for reference, I'm another volunteer who goes through and answers these, as and when I have the time

Krenair added a comment.EditedDec 12 2015, 7:30 PM

I haven't been an OTRS agent since April, but IIRC iOS was always the worst in terms of finding someone who could/would respond, whereas the Android app generated more traffic

As far as I know, there isn't anyone, who answers iOS questions, right? And, btw., I haven't subscribed to the crash report list in OTRS, and the other questions are fairly a lot, at least for "only" some otrs agents :)

pajz added a subscriber: pajz.Dec 12 2015, 7:42 PM
pajz removed a subscriber: pajz.
Rjd0060 closed this task as Invalid.Jan 15 2016, 7:17 PM

I'm going to close this now as I think it served its purpose and that phab is not really the best venue to discuss, plan or execute recruitment - unless it has been done for other projects? I would encourage those in the tech community to spread word that help is needed with OTRS inquiries relating to mobile issues.

Moushira added a comment.EditedJan 15 2016, 7:23 PM

hmm..but I did have helpful feedback and volunteers asking me for how to help, when they read the task. We can close it,because gladly we found more helpful people, but I don't see what is "invalid"about it. It is a to-do reminder on how we need to find more OTRS volunteers for a certain queue. :). Thanks @Rjd0060.

I only closed it (and as invalid) as it was not a bug. I did not mean to imply it was not helpful, as I'm sure it was when you created the ticket - and perhaps now that we're discussing it again. ;-) If you feel there is benefit in it open, please do. I'm just cleaning up the OTRS board.

Keegan added a subscriber: Keegan.Jan 15 2016, 11:58 PM

@Moushira A resource tracking task it fine, it's just that the OTRS project is used for Wikimedia's installation of OTRS-the-software bug reporting.

@Rjd0060 I think we need to just get around to creating an OTRS team tag. A general OTRS team project could be useful (backlog drives and whatnot).